## ros-humble-urdfdom-py 1.2.1

=== debian/changelog ===
ros-humble-urdfdom-py (1.2.1-1bookworm) bookworm; urgency=high

  * Switch to unittest.mock (#78 <https://github.com/ros/urdf_parser_py/issues/78>)
  * Add BSD LICENSE file (#77 <https://github.com/ros/urdf_parser_py/issues/77>)
  * Update Maintainers (#76 <https://github.com/ros/urdf_parser_py/issues/76>)
  * Contributors: Audrow Nash, Scott K Logan, Silvio Traversaro

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 30 Apr 2023 16:00:00 -0000

ros-humble-urdfdom-py (1.2.0-1bookworm) bookworm; urgency=high

  * Fix the binary install location. (#74 <https://github.com/ros/urdf_parser_py/issues/74>)
  * Get Iterable from collections.abc. (#73 <https://github.com/ros/urdf_parser_py/issues/73>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-urdfdom-py (1.1.0-1bookworm) bookworm; urgency=high

  * Use a Python entry point for 'display_urdf' (#64 <https://github.com/ros/urdf_parser_py/issues/64>)
  * Move the 'display_urdf' script into the Python module (#64 <https://github.com/ros/urdf_parser_py/issues/64>)
  * Make 'file' argument to display_urdf required (#64 <https://github.com/ros/urdf_parser_py/issues/64>)
  * Make sure to add the version when creating a new URDF. (#62 <https://github.com/ros/urdf_parser_py/issues/62>)
  * Remove the from_parameter_server method from urdf.py for ROS 2. (#63 <https://github.com/ros/urdf_parser_py/issues/63>)
  * Silence pytest warnings when running locally. (#61 <https://github.com/ros/urdf_parser_py/issues/61>)
  * Contributors: Chris Lalancette, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 14 Mar 2021 16:00:00 -0000

ros-humble-urdfdom-py (1.0.0-1bookworm) bookworm; urgency=high

  * Add in support for the version tag. (#52 <https://github.com/ros/urdf_parser_py/issues/52>) (#54 <https://github.com/ros/urdf_parser_py/issues/54>)
  * ROS 2 Port (reopened) (#53 <https://github.com/ros/urdf_parser_py/issues/53>)
  * Contributors: Chris Lalancette, Henning Kayser

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Mar 2020 16:00:00 -0000

ros-humble-urdfdom-py (0.4.1-1bookworm) bookworm; urgency=high

  * Python 3 fixes (#38 <https://github.com/ros/urdf_parser_py/issues/38> #43 <https://github.com/ros/urdf_parser_py/issues/43> #48 <https://github.com/ros/urdf_parser_py/issues/48>)
  * Remove old example test (#37 <https://github.com/ros/urdf_parser_py/issues/37>)
  * Contributors: Chris Lalancette, Eric Cousineau, Markus Grimm, Timon Engelke

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 21 Oct 2019 16:00:00 -0000

ros-humble-urdfdom-py (0.4.0-1bookworm) bookworm; urgency=high

  * Add Link.visual and Link.collision properties (#28 <https://github.com/ros/urdf_parser_py/issues/28>)
  * Add tests for mutli-visual and multi-collision
  * links and collisions load properly as aggregates
  * Add XPath information when a parse error is encountered
  * Remove travis support. (#22 <https://github.com/ros/urdf_parser_py/issues/22>)
  * Reformat python code to pep8 standard (#21 <https://github.com/ros/urdf_parser_py/issues/21>)
  * Update core.py to allow passing addHeader arg to to_xml_string function (#19 <https://github.com/ros/urdf_parser_py/issues/19>)
  * fixed defaults for xyz/rpy, fixed set_default for Param, added unit tests (#16 <https://github.com/ros/urdf_parser_py/issues/16>)
  * Make unit test run with catkin_make run_tests (#15 <https://github.com/ros/urdf_parser_py/issues/15>)
  * Contributors: Chris Lalancette, Chris Paxton, Eric Cousineau, Shane Loretz, Will Baker, eugene-katsevman

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 20 Feb 2018 16:00:00 -0000

ros-humble-urdfdom-py (0.3.3-1bookworm) bookworm; urgency=high

  * Made Chris and Shane the maintainers
  * Added python-lxml to the travis build.
  * Reverted line break (ros/urdfdom#77 <https://github.com/ros/urdfdom/pull/77>) now that there is a more generic solution. (#5 <https://github.com/ros/urdf_parser_py/issues/5>)
  * Added line break to make errors easier to read. (#4 <https://github.com/ros/urdf_parser_py/issues/4>)
  * Contributors: Chris Lalancette, Isaac I.Y. Saito

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 09 Feb 2017 16:00:00 -0000

ros-humble-urdfdom-py (0.3.1-1bookworm) bookworm; urgency=high

  * Add travis
  * Add package.xml for ROS release
  * Tweak CMakeLists to reflect migration from urdfdom
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 21 Feb 2016 16:00:00 -0000

ros-humble-urdfdom-py (0.3.0-1bookworm) bookworm; urgency=high

  * [urdf_parser_py] Add missing newline
  * color and texture in link material are optional
  * fixed transmission parser to match specification
    http://wiki.ros.org/urdf/XML/Transmission#A.3Ctransmission.3E_Elements
    proper unittest for urdf_parser_py
    - added transmission parsing tests
  * Merge pull request #59 <https://github.com/ros/urdf_parser_py/issues/59> from goretkin/goretkin-optional-calibration
    joint calibration is optional
  * made hardware interface optional in both transmission actuator and joint
  * joint calibration is optional
    according to http://wiki.ros.org/urdf/XML/joint
  * set limit(upper/lower), safety_controller(soft_upper/lower_limit, k_position) is optional
  * urdf_parser_py.xml_reflection : python 3 compatibility
    Substitute 'Exception, e' with Exception as e. This ensure compatibility with Python 3 and Python 2.6,2.7 .
    Check https://docs.python.org/3/howto/pyporting.html#capturing-the-currently-raised-exception for more info.
  * urdf_parser_py: Confirmed that both new transmissions are parseable in the same robot.
    test: Added in specific test for tranmsissions. Have it print the type.
    @todo: Make this a unittest.
  * urdf_parser_py: Added attribute preservation for xmlr.RawType (i.e., <gazebo reference="..."/>)

